Name:           python-yara
Version:        4.3.1
%global         baserelease     4.2
Summary:        Python binding for the YARA pattern matching tool
License:        Apache-2.0
URL:            https://github.com/VirusTotal/yara-python/
VCS:            https://github.com/VirusTotal/yara-python/

%bcond_without  release

%global         gituser         VirusTotal
%global         gitname         yara-python
%global         commit          37dcb76cd5a07c62e6ed2646968c496e22e70729
%global         gitdate         20230421
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


%global         common_description %{expand:
Python binding for the YARA pattern matching tool.
YARA is a tool aimed at (but not limited to) helping malware researchers to
identify and classify malware samples. With YARA you can create descriptions
of malware families (or whatever you want to describe) based on textual or
binary patterns. Each description, a.k.a rule, consists of a set of strings
and a Boolean expression which determine its logic.}


%if 0%{?with_release}
Release:    1%{?dist}
Source0:        https://github.com/%{gituser}/%{gitname}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
%else
Release:    1%{?dist}
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz#/%{name}-%{version}-git%{gitdate}-%{shortcommit}.tar.gz
%endif

Patch0:         238.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(yara)
BuildRequires:  libtool
BuildRequires:  yara-devel >= %{version}
BuildRequires:  /usr/bin/sphinx-build

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{common_description}


%package -n python%{python3_pkgversion}-yara
Summary:        Python3 binding for the YARA pattern matching tool



%description -n python%{python3_pkgversion}-yara
%{common_description}


%prep
%if 0%{?with_release}
%autosetup -n yara-python-%{version}

%else
%autosetup -n yara-python-%{commit}
%endif



%build

%py3_build "--dynamic-linking"



%install

%py3_install


%check
%ifarch armv7hl
EXCLUDE='not testModuleData'
%endif

%pytest -k "$EXCLUDE" tests.py -v


%files -n python%{python3_pkgversion}-yara
%license LICENSE
%doc README.rst
%{python3_sitearch}/yara*


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.1-1
- initial build
